import { NS } from '@ns'
import { parse } from './lib/flag';
import { red, rgb24, blue, bgBrightMagenta } from './lib/colors';


// eslint-disable-next-line require-await
export async function main(ns: NS) : Promise<void> {
    const flag = parse(ns.args.map(x=>x.toString()));
    if(flag.h || flag.help){
        const msg = ['run cmd']
        msg.forEach(x=>ns.tprint(x));
        return;
    }
    ns.tprint(red("hello world red "));
    ns.tprint(blue("hello world blue"));
    ns.tprint(bgBrightMagenta("hello world bgBrightMagenta"));
    ns.tprint(rgb24("hello world #00ff00", 0x00ff00));
    ns.tprint(rgb24("hello world #f0f000", 0xf0f000));
    ns.tprint(rgb24("hello world #0000ff", 0x0000ff));
    ns.tprint(rgb24("hello world #0000ff", {r:0,g:0,b:255}));
    //const d = "document"
    //const doc = eval(d) as Document;
    //const div = doc.querySelector(".css-1hamw82") as HTMLDivElement;
    //if(!div){
    //    ns.tprint("div not found");
    //    return;
    //}
    //const text = div.innerText;
    //ns.tprint(text);
}