import { NS } from '@ns'
import { parse } from './lib/flag';
import { sprintf } from './lib/printf';

// eslint-disable-next-line require-await
export async function main(ns: NS) : Promise<void> {
    const flag = parse(ns.args.map(x=>x.toString()));
    if(flag.h || flag.help){
        const msg = ['run cmd']
        msg.forEach(x=>ns.tprint(x));
        return;
    }
    // typescript error ignore
    // @ts-ignore TS2339
    ns.tprint(sprintf("karma: %.3f",ns.heart.break()));
}
